import * as React from "react";
import { GitgraphCore, GitgraphOptions, Commit, Branch, Coordinate } from "gitgraph-core/lib/index";
export interface GitgraphProps {
    options?: GitgraphOptions;
    children: (gitgraph: GitgraphCore) => void;
}
export interface GitgraphState {
    commits: Commit[];
    branchesPaths: Map<Branch, Coordinate[][]>;
    commitMessagesX: number;
}
export declare class Gitgraph extends React.Component<GitgraphProps, GitgraphState> {
    static defaultProps: Partial<GitgraphProps>;
    private gitgraph;
    constructor(props: GitgraphProps);
    render(): JSX.Element;
    componentDidMount(): void;
    private renderBranches;
    private renderCommits;
    private getMessage;
    private onGitgraphCoreRender;
}
export default Gitgraph;
export * from "gitgraph-core/lib/index";
